
.btn{
    cursor:pointer;
    position:relative;
    transition:all 1s;
}

.btn:after,.btn:before{
    content:" ";
    width:0px;
    height:0px;
    position:absolute;
    border :0px solid darkslategray;
    transition:all 1s;
}
.btn:after{
    top:24px;
    left:-8px;
    border-top:1px solid darkslategray;
    border-left:1px solid darkslategray;
}
.btn:before{
    bottom:24px;
    right:-8px;
    border-bottom:1px solid darkslategray;
    border-right:1px solid darkslategray;
}
.btn:hover::before{
    width:calc(100% + 15px);
    height:37px;
    border-color:white;
}
.btn:hover::after{
    width:calc(100% + 15px);
    height:37px;
    border-color:white;
}

